import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/Shanmukh459/ef596514086fa4f8628d9f1b16c9c854/raw/5661b1657cfdbdec8c1cb8bf3a922f5925c4532a/share-of-population-infected-with-hiv-ihme.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = (d) => {
      d.aids =
        +d[
          'Prevalence - HIV/AIDS - Sex: Both - Age: 15-49 years (Percent) (%)'
        ];
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  return data;
};
